<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\DB;
use Illuminate\Http\Request;
use App\Models\courses;
use App\Models\courseRegistration;
use Response;
use Auth;

class CourseRegistrationController extends Controller
{
    public function index(Request $request)
    {
    
        $segments = $request->segments();
        $courses = 0;
        $selectedCourseData = null; 

        $courses = DB::table('courses')->get()
         ->where('id', '=', $segments[1]);

        foreach ($courses as $cs) {
            $selectedCourseData = array("courseId"=>$cs->id,"courseName"=>$cs->courseName,"coursePrice"=>$cs->price,"participantsLimit"=>$cs->participantsLimit,"registeredAmount"=>$cs->registeredAmount);
        }  
        // $selectedCourseData = array("courseId"=>$courses[1]->id,"courseName"=>$courses[1]->courseName,"coursePrice"=>$courses[1]->price,"participantsLimit"=>$courses[1]->participantsLimit,"registeredAmount"=>$courses[1]->registeredAmount);
        // print_r ($courses[1]->courseName);
        // foreach ($users as $user) {
        //     echo $user->courseName;
        // }
//        return view('course-registration');
        return view('course-registration', [
            'courseData' => $segments,
            'selectedCourseData' =>$selectedCourseData
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     */
    public function store(Request $request)
    {
        $v_data = $request->validate([
            'name' => 'required|max:255',
            'email' => 'required|email',
            'contact_number'  => 'required',
            'if_cardholder_differs'=>'required',
            'cardholder_name'=>'nullable'
        ]);
        $data = ([
            "user_id"=>auth()->id(),
            "course_id"=>$request->input('course_id'),
            "name"=>$request->input('name'),
            "email"=>$request->input('email'),
            "contact_number"=>$request->input('contact_number'),
            "if_cardholder_differs"=>$request->input('if_cardholder_differs'),
            "cardholder_name"=>$request->input('cardholder_name')
        ]);
        $responsedata = courseRegistration::create($data);
        return Response::json($responsedata);
    }
}
